Problems freezing rails 1.0


#1

Hi I’m trying to freeze one of my current applications to 1.0 when I
start developing a new one in 1.1.2.

I’ve tried to do it this two different ways (from app root folder)

  1. rake freeze_edge REVISION=3303
  2. svn export http://dev.rubyonrails.org/svn/rails/tags/rel_1-0-0
    vendor/rails

In both cases I get similar errors:

svn: PROPFIND request failed on ‘/svn/rails/tags/rel_1-0-0’
svn: PROPFIND of ‘/svn/rails/tags/rel_1-0-0’: 400 Bad request: request
method not supported (http://dev.rubyonrails.org)

Any ideas where I’m going wrong?

Cheers.


#2

I’ve got it working now. I’ve just run

rake rails:update:configs

on my old app and update environment.rb with RAILS_GEM_VERSION =
‘1.0.0’.
That sorts my problem.

However, I would appreciate if someone posts the reason why I couldn’t
download
the source of release 1.0. Just for future reference.

Maria